Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface ArrayLiteralTree

All Superinterfaces:
  ExpressionTree, Tree

    public interface ArrayLiteralTree
    extends ExpressionTree

Represents ECMAScript array literal expression.

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<? extends ExpressionTree>` `getElements()` Returns the list of Array element expressions.

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getElements

    List<? extends ExpressionTree> getElements()

Returns the list of Array element expressions.

Returns:
  array element expressions